Bug 5814 - Strange line truncation using ps
Strange line truncation using ps
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 1999-10-10 21:11 EDT by cfy1
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-10-11 13:58:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cfy1 1999-10-10 21:11:39 EDT
Piping the output of ps through anything seems to cause
strange line truncations.

For example, if ps aux returns line that are longer than 80
characters, piping it through anything causes each line to
be truncated.

ps aux | cat

Every line of output is truncated to 80 characters.


ps aux | grep "something"

Again, same line truncation.

Also happens with:

ps aux > tmp.txt

Every line of tmp.txt is trucated.
Comment 1 Jeff Johnson 1999-10-11 13:58:59 EDT
Add one or more w flags as in
	ps auxww > /tmp/tmp.txt

Note You need to log in before you can comment on or make changes to this bug.